## Report Bugs
To report bugs, please follow the instructions outlined below

1.Go to [Issues](https://github.com/SidharthMacherla/conjurer/issues)   
2.Add a short title that describes the bug.  
3.Label the issue with "bug".  
4.In the description field, be as detailed as possible in describing the bug. 
  - Provide environment details such as the Operating System, R version used.   
  - Provide an easily reproducible working example that can be tested. 

## Suggest New Feature

To suggest new features to the package, please follow the instructions outlined below

1.Go to [Issues](https://github.com/SidharthMacherla/conjurer/issues)   
2.Add a short title that describes the new feature.   
3.Label the issue with "enhancement".  
4.In the description field, provide the following details.  
  - The final outcome of this enhancement.
  - The need for the feature in terms of its use.
  - Any examples that aid in understanding the usage better.

## Contribute to package
To contribute to this package, please suggest a new feature following the guidelines mentioned above. Once the new feature is approved by the maintainer, the details of the code contribution will be conveyed as part of the response to the ticket on issues. All code contributions should follow the best practices detailed in Hadley Wickham's [book](http://r-pkgs.had.co.nz/). Additionally, the code should pass without any issues/warnings/notes when [goodpractice](https://CRAN.R-project.org/package=goodpractice) is implemented on the code.
