[![](https://www.r-pkg.org/badges/version/conjurer)](https://cran.r-project.org/package=conjurer)
[![](https://cranlogs.r-pkg.org/badges/grand-total/conjurer)](https://cran.r-project.org/package=conjurer)
[![Build Status](https://travis-ci.org/SidharthMacherla/conjurer.svg?branch=master)](https://travis-ci.org/SidharthMacherla/conjurer)
[![Codacy Badge](https://api.codacy.com/project/badge/Grade/52cb239790ab41d2806108140ce36639)](https://app.codacy.com/manual/msidharthrasik/conjurer?utm_source=github.com&utm_medium=referral&utm_content=SidharthMacherla/conjurer&utm_campaign=Badge_Grade_Dashboard)
[![CII Best Practices](https://bestpractices.coreinfrastructure.org/projects/3687/badge)](https://bestpractices.coreinfrastructure.org/projects/3687)
[![DOI](https://zenodo.org/badge/228922834.svg)](https://zenodo.org/badge/latestdoi/228922834)

# Documentation
The official documentation for **conjurer** is at [foyi](https://www.foyi.co.nz/posts/documentation/documentationconjurer/)

## Author
Sidharth Macherla
## License
This project is licensed under the MIT License - see the
[LICENSE](https://github.com/SidharthMacherla/conjurer/blob/master/LICENSE) file for details.
## Statement of Need
Data science applications need data to prototype and demonstrate to potential clients. For such purposes, using production data is a possibility. However, it is not always feasible due to legal and/or ethical considerations. This resulted in a need for generating synthetic data. This need is the key motivator for the package **conjurer**.

Data across multiple domains are known to exhibit some form of seasonality, cyclicality and trend. Although there are synthetic data generation packages currently available, they focus primarily on synthetic versions of microdata containing confidential information or for machine learning purposes. There is a need for a more generic synthetic data generation package that helps for multiple purposes such as forecasting, customer segmentation, insight generation etc. This package **conjurer** helps in generating such synthetic data.

## Installation instructions
Firstly, install R from [here](https://cloud.r-project.org/)

From the R console, install the package by using the following code
``` R
install.packages('conjurer')
```

## Example usage
The package page on CRAN(Comprehensive R Archive Network) is [here](https://cran.r-project.org/web/packages/conjurer/index.html). The reference manual is [here](https://cran.r-project.org/web/packages/conjurer/conjurer.pdf). The package vignette with the detailed documentation for usage with illustrative examples is [here](https://cran.r-project.org/web/packages/conjurer/vignettes/introduction_to_conjurer.html)

## Community guidelines
For guidelines regarding code contributions, refer to [CONTRIBUTING](https://github.com/SidharthMacherla/conjurer/blob/master/CONTRIBUTING.md). For guidelines on reporting security vulnerabilities, refer to [SECURITY](https://github.com/SidharthMacherla/conjurer/blob/master/SECURITY.md)
